from BaseDataMaintenance.model.mysql.BaseModel import BaseModel


class attach_document_richtext(BaseModel):

    def __init__(self,_dict):
        self.setValue("filemd5",_dict.get("filemd5"),True)
        self.setValue("status",_dict.get("status"),True)
        self.setValue("filetye",_dict.get("filetype",10),True)
        self.setValue("base64",_dict.get("base64",""),True)

        self.table_name = "attachment_rec_import"

    def getPrimary_keys(self):
        return ["filemd5"]